All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
config.hpp File Reference

Global configuration parameters. More...

Go to the source code of this file.

## Macros

#define | VIENNACL_BISECT_MAX_THREADS_BLOCK 256
#define | VIENNACL_BISECT_MAX_THREADS_BLOCK_SMALL_MATRIX 512
#define | VIENNACL_BISECT_MAX_SMALL_MATRIX 512
#define | VIENNACL_BISECT_MIN_ABS_INTERVAL 5.0e-37

## Detailed Description

Global configuration parameters.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file config.hpp.

## Macro Definition Documentation

#define VIENNACL_BISECT_MAX_SMALL_MATRIX 512

Definition at line 39 of file config.hpp.

#define VIENNACL_BISECT_MAX_THREADS_BLOCK 256

Definition at line 32 of file config.hpp.

#define VIENNACL_BISECT_MAX_THREADS_BLOCK_SMALL_MATRIX 512

Definition at line 38 of file config.hpp.

#define VIENNACL_BISECT_MIN_ABS_INTERVAL 5.0e-37

Definition at line 42 of file config.hpp.